.blog .site-main {
    padding-top: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

#posts-list {
    display: grid;
    width: 100%;
    margin: 0 auto;
    gap: 2rem;
    grid-template-columns: repeat(auto-fit, minmax(30%, 1fr));
    grid-auto-flow: dense;
    padding: 0 5%;
}

.blog .post {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 5px 5px #00000080;
    border-radius: 15px;
    overflow: hidden;
    text-decoration: none;
    padding: 10px;
    cursor: pointer;
}

.blog .post * {
    text-decoration: none;
}

.blog .post:hover {
    transform: scale(1.05);
}

.blog .post-thumbnail:has(img),
.blog .post-thumbnail img {
    height: 100%;
    max-width: 100%;
    object-fit: contain;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.blog .post-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    color: var(--e-global-color-text);
}

#filters {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

#filters .checkbox {
    color: var(--e-global-color-primary);
    border: 2px solid var(--e-global-color-primary);
    background: transparent;
    box-sizing: content-box;
    border-radius: 15px;
    padding: 10px 20px;
    cursor: pointer;
}

#filters .cat-name {
    cursor: pointer;
}

#filters .checkbox:has(>.filter-checkbox:checked) {
    background: var(--e-global-color-primary);
    color: var(--e-global-color-background);
}

.filter-checkbox {
    visibility: hidden;
    display: none;
}

@media screen and (max-width: 980px) {
	#posts-list {
		display:flex;
		flex-direction:column;
	}
}